<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form" enctype='multipart/form-data'>
  <div nz-row [nzGutter]="[30, 10]">
    <!-- Từ ngày -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        [mbType]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.rangeDateError) ? 'error' : 'default'"
        [mbShowError]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.rangeDateError) !== null"
        [mbErrors]="form.errors?.rangeDateError ? form.errors : form.controls['fromDate'].errors"
        [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.projectHisInfo.label.attributes.fromDate' | translate }},
        { errorName: 'rangeDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
        {'fromDate': 'staffManager.projectHisInfo.label.attributes.fromDate' | translate, 'toDate': 'staffManager.projectHisInfo.label.attributes.toDate' | translate}}
        ]"
        mbPlaceholderText="{{'staffManager.projectHisInfo.label.attributes.fromDate' | translate}}"
        mbLabelText="{{'staffManager.projectHisInfo.label.attributes.fromDate' | translate}} <span class='label__required'>*</span>"
        formControlName="fromDate"></mb-date-picker>
    </div>

    <!-- Đến ngày -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.projectHisInfo.label.attributes.toDate' | translate}}"
        mbLabelText="{{'staffManager.projectHisInfo.label.attributes.toDate' | translate}}"
        formControlName="toDate"></mb-date-picker>
    </div>

    <!-- Dự án tham gia  -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listProject"
                 mbKeyLabel="prjName"
                 mbKeyValue="prjId"
                 [mbType]="isSubmitted && form.controls['projectId'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['projectId'].errors !== null"
                 [mbErrors]="form.controls['projectId'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.projectHisInfo.label.attributes.project' | translate }}]"
                 mbPlaceholder="{{'staffManager.projectHisInfo.label.attributes.project' | translate}}"
                 mbLabelText="{{'staffManager.projectHisInfo.label.attributes.project' | translate}} <span class='label__required'>*</span>"
                 formControlName="projectId"></mb-select>
    </div>

    <!-- Vai trò dự án -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listJob"
                 mbKeyLabel="jobName"
                 mbKeyValue="jobId"
                 [mbType]="isSubmitted && form.controls['jobId'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['jobId'].errors !== null"
                 [mbErrors]="form.controls['jobId'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.projectHisInfo.label.attributes.job' | translate }}]"
                 mbPlaceholder="{{'staffManager.projectHisInfo.label.attributes.job' | translate}}"
                 mbLabelText="{{'staffManager.projectHisInfo.label.attributes.job' | translate}} <span class='label__required'>*</span>"
                 formControlName="jobId"></mb-select>
    </div>

    <!-- Người quản lý -->
    <div nz-col [nzXs]="24" [nzLg]="12" class="select__manager">
      <employee-data-picker
        [mbCanText]="true"
        [mbType]="isSubmitted && form.controls['managerId'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['managerId'].errors !== null"
        [mbErrors]="form.controls['managerId'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.workHisInformation.label.attributes.manager' | translate}}]"
        formControlName="managerId"
        mbLabelText="{{'staffManager.projectHisInfo.label.attributes.manager' | translate}}"
        >
      </employee-data-picker>
    </div>

    <!-- Ghi chú -->
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text formControlName="note"
                     [mbMaxLength]="500"
                     [mbIsTextAre]="true"
                     [mbConfig]="{ rows: 3, autoSize: true }"
                     [mbType]="isSubmitted && form.controls['note'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['note'].errors !== null"
                     [mbErrors]="form.controls['note'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '500' | translate }}]"
                     mbPlaceholderText="{{'staffManager.projectHisInfo.label.attributes.note' | translate}}"
                     mbLabelText="{{'staffManager.projectHisInfo.label.attributes.note' | translate}}"></mb-input-text>
    </div>

    <!-- File đính kèm -->
    <div nz-col [nzXs]="24" [nzLg]="24">
      <label class="input__label">{{'staffManager.label.file' | translate}}</label>
      <nz-upload
        nzType="drag"
        [nzMultiple]=" true"
        [(nzFileList)]="fileList" [nzBeforeUpload]="beforeUpload" [nzDownload]="downloadFile" [nzRemove]="removeFile">
        <p class="ant-upload-drag-icon">
          <em nz-icon nzType="inbox"></em>
        </p>
        <p class="ant-upload-text">{{'common.upload.description'|translate}}</p>
        <p class="ant-upload-hint">
          {{'common.upload.supportExcel'|translate}}
        </p>
      </nz-upload>
    </div>
  </div>
</form>
